__gnu_cxx::_Relative_pointer_impl< const _Tp > Class Template Reference

`#include <pointer.h>`

## Public Types

typedef const _Tp | element_type

## Public Member Functions

const _Tp * | get () const
bool | operator< (const _Relative_pointer_impl &__rarg) const
bool | operator== (const _Relative_pointer_impl &__rarg) const
void | set (const _Tp *__arg)

## Detailed Description

template<typename _Tp>
class __gnu_cxx::_Relative_pointer_impl< const _Tp >

Relative_pointer_impl needs a specialization for const T because of the casting done during pointer arithmetic.

Definition at line 158 of file pointer.h.

## Member Typedef Documentation

## element_type

template<typename _Tp >

typedef const _Tp __gnu_cxx::_Relative_pointer_impl< const _Tp >::element_type

Definition at line 161 of file pointer.h.

## Member Function Documentation

## get()

template<typename _Tp >

const _Tp * __gnu_cxx::_Relative_pointer_impl< const _Tp >::get | ( |  | ) | const

inline

Definition at line 164 of file pointer.h.

## operator<()

template<typename _Tp >

bool __gnu_cxx::_Relative_pointer_impl< const _Tp >::operator< | ( | const _Relative_pointer_impl< const _Tp > & | __rarg | ) | const

inline

Definition at line 184 of file pointer.h.

## operator==()

template<typename _Tp >

bool __gnu_cxx::_Relative_pointer_impl< const _Tp >::operator== | ( | const _Relative_pointer_impl< const _Tp > & | __rarg | ) | const

inline

Definition at line 190 of file pointer.h.

## set()

template<typename _Tp >

void __gnu_cxx::_Relative_pointer_impl< const _Tp >::set | ( | const _Tp * | __arg | ) |

inline

Definition at line 174 of file pointer.h.

The documentation for this class was generated from the following file:

- pointer.h